# Design System React

This is a design system in react using stencil

## Getting Started

Create a new react proyect.

```bash
npx react-create-app mynewapp
```

Download the component library

```bash
npm install designsystemdiego-react
```

Load the component

```bash
import React from "react";
import ReactDOM from "react-dom";
import "./index.css";
import App from "./App";
import reportWebVitals from "./reportWebVitals";

import { applyPolyfills, defineCustomElements } from "designsystemdiego/loader";

ReactDOM.render(
  <React.StrictMode>
    <App />
  </React.StrictMode>,
  document.getElementById("root")
);

applyPolyfills().then(() => {
  defineCustomElements(window);
});
```

Use it

```bash
import logo from "./logo.svg";
import "./App.css";
import { MyComponent } from "designsystemdiego-react";

function App() {
  return (
    <div className="App">
      <header className="App-header">
        <img src={logo} className="App-logo" alt="logo" />
        <p>
          Edit <code>src/App.js</code> and save to reload.
        </p>
        <MyComponent first="Stencil" last="'Don't call me a framework' JS" />
        <a
          className="App-link"
          href="https://reactjs.org"
          target="_blank"
          rel="noopener noreferrer"
        >
          Learn React
        </a>
      </header>
    </div>
  );
}

export default App;
```
